# Changelog

All notable changes to this project will be documented in this file.

## \[unreleased]

### ⛰️ Features

- Add commitlint to enforce commit message format
- Update the changelog automatically on every commit
- Improve colors, refactor css, support rtl lang
- Add `stylelint` and add check to lint script

### 🐛 Bug Fixes

- Correctly update the changelog on release
- Add newer version of `addon-linter` via override to support newer browser APIs

### 🚜 Refactor

- Improve browser-polyfill inject
- Move homepage url to config
- Use `storage.session` instead of `storage.local`

### 📚 Documentation

- Add logo and screenshot to readme
- Update quick-links
- Change README title

### 🎨 Styling

- Improve codestyle

### ⚙️ Miscellaneous Tasks

- Update @commitlint/{cli,config-conventional}
- Update @commitlint/{cli,config-conventional}
- Update @commitlint/{cli,config-conventional,cz-commitlint}
- Update @commitlint/{cli,config-conventional,cz-commitlint}, git-cliff

## \[[0.9.2](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.9.2)] - 2023-05-24

### ⛰️ Features

- Add git-cliff to update the CHANGELOG.md

### 🐛 Bug Fixes

- Replace deprecated substr() with substring() and add checks for promise results
- Fix markdown escaping in changelog

### 🚜 Refactor

- Remove background.html and import directly as ES module
- Remove "browser_style" setting and include cleaned up extension.css

### 📚 Documentation

- Add type definitions for Calendar and SpaceApi
- Update changelog with new version

### ⚙️ Miscellaneous Tasks

- Update husky
- Improve CHANGELOG config
- Unify and improve codestyle
- Add .ts files editorconfig and fix styling
- Update @types/firefox-webext-browser and add web-ext to devDependencies
- Update @types/firefox-webext-browser and web-ext
- Update web-ext
- Update git-cliff

### ✳️ Other

- Add pre-commit hook with husky
- Improve git-cliff config

## \[[0.9.1](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.9.1)] - 2023-01-22

### ✳️ Other

- Extract code into setBadgeStatus and createStatusChangedNotification function
- Don't fetch data if offline
- Replace web-ext types package
- Await init
- Add link to Pad

## \[[0.9.0](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.9.0)] - 2023-01-20

### ✳️ Other

- Manifest_v3
- Update to manifest_version v3
- Make code compatible with manifest_version v3

## \[[0.8.7](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.7)] - 2023-01-20

### ✳️ Other

- Add badges to README
- Improve README
- Improve badges
- Improve config
- Use globalThis instead of window to also work in service worker
- Remove unnecessary permissions
- Remove persistent flag in manifest config
- Open usrspace.at homepage on install

## \[[0.8.6](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.6)] - 2023-01-05

### ✳️ Other

- Change addon id to currently used one

## \[[0.8.5](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.5)] - 2023-01-05

### ✳️ Other

- Add web-ext-config.js and add watch scripts
- Improve README
- Add development docs
- Inject browser-polyfill only in chromium builds
- Add addon id

## \[[0.8.4](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.4)] - 2023-01-05

### ✳️ Other

- Use html template tag
- Change strict_min_version to v79
- Simplify updateSpaceApiJson
- Add lint script

## \[[0.8.3](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.3)] - 2023-01-04

### ✳️ Other

- Update strict_min_version to 57.0

## \[[0.8.2](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.2)] - 2023-01-04

### ✳️ Other

- Explicit set persistent=true and add browser_specific_settings in manifest.json
- Set html lang by browser language
- Improve popup styling

## \[[0.8.1](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.1)] - 2022-12-25

### 🐛 Bug Fixes

- Fix copy-version script

### ✳️ Other

- Manifest l10n
- Faster data fetching, badge improvements
- Cursor pointer on clickable elements
- Move manifest and _locales into src
- Update package-lock
- Store data in localStorage
- Use storage api
- Use browser.alarms api
- Unfiy codestyle
- Cleanup data on startup

## \[[0.8.0](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.0)] - 2022-12-24

### ✳️ Other

- Improve code, doc, tooling
- Npm version scripts
- Copy browser-polyfill
- Import config as module
- Move code into src dir
- Add JsDoc and small code improvements
- Add build script
- Improve code
- Remove old icons
- Add l10n
- Cleanup manifest.json
- Increase svg size
- Set build filename

## \[[0.7](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.7)] - 2021-11-06

### 🐛 Bug Fixes

- Fix new urls
- Fix dates if no date is found
- Fix data, remove logging, improve code

### ✳️ Other

- Change spaceApiUrl and nextcloud label
- Add release info
- Add editorconfig
- Reformat code
- Add package.json for typescript type definitions
- Use template strings
- Format datetime
- Change to normal function and use async/await
- Use css variables and prepare for dark mode support
- Add Nunito font
- Change icons, enable darkmode, improve styling
- Update license
- Change icon
- Remove old html code and load right svg

## \[[0.4](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.4)] - 2019-10-04

### 🐛 Bug Fixes

- Fix wrong icon

## \[[0.3](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.3)] - 2019-10-04

### ✳️ Other

- Improve popup content

## \[[0.2](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.2)] - 2019-08-28

### 🐛 Bug Fixes

- Fix icon style
- Fix compatibility with chromium based browsers
- Fix typo

### ✳️ Other

- Init
- Add first readme
- Add LICENSE and improve README
- Add icons and improve styling
- Improve styling
- Use config
- Offen/Geschlossen-Info schön im Pop-Up
- Add space status change notification
- Small fix
- Make text over icon more readable
- Switch from GitLab to Gitea
- Missing change from Gitlab to Gitea
- Update browser-polyfill
- Add sections
- Add time element for event date
- Improve badge color
- Combine updateBadge promises
- Check for online/offline events if fetching should be enabled

<!-- generated by git-cliff -->
