# /usr/space Web-Extension (Browser Add-on)

[![Mozilla Add-on](https://img.shields.io/amo/v/usr-space?style=for-the-badge)](https://addons.mozilla.org/de/firefox/addon/usr-space/)
[![Mozilla Add-on](https://img.shields.io/amo/dw/usr-space?style=for-the-badge)](https://addons.mozilla.org/de/firefox/addon/usr-space/)
[![Mozilla Add-on](https://img.shields.io/amo/users/usr-space?style=for-the-badge)](https://addons.mozilla.org/de/firefox/addon/usr-space/)
[![Mozilla Add-on](https://img.shields.io/amo/stars/usr-space?style=for-the-badge)](https://addons.mozilla.org/de/firefox/addon/usr-space/)

![Browser Screenshot](assets/screenshot.png)

## Features

- Show if someone is in the Space
  - Looks for connected dynamic IPs (DHCP) (provided by backend)
  - Refreshes every 5min
- Show the next event
- Quick-Links (Homepage, Wiki, Git, Cloud, Pad)

## Install

```ssh
$ git clone https://gitea.usrspace.at/XimeX/usrspace-browser-addon.git
# optional
$ npm i -g web-ext
$ npm i
```

## Run / Develop / Debug

```ssh
$ npm run watch:{firefox|firefox-android|chromium}
```

If more options are needed add them after a `--`.

Some useful options:

- `--devtools`
- `--firefox-apk=...`
- `--android-device=...`

Example: `npm run watch:firefox-android -- --firefox-apk=org.mozilla.fenix --firefox-device=XXXXXXXX`

## Build

```ssh
// For Firefox
$ npm run build:firefox
// For Chromium
$ npm run build:chromium
```

## Release

```ssh
$ npm version {major|minor|patch|...}
```

## Developent Docs

- [Getting started](https://extensionworkshop.com/documentation/develop/getting-started-with-web-ext/)
- [web-ext command reference](https://extensionworkshop.com/documentation/develop/web-ext-command-reference/)
- [WebExtensions MDN Docu](https://developer.mozilla.org/en-US/docs/Mozilla/Add-ons/WebExtensions)

## Credits

Used icons from Bootstrap
https://github.com/twbs/icons/blob/main/LICENSE.md

## License

MIT

![Logo](assets/logo.png)
